CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
Test_Effects.cpp File Reference
`#include "Test_Support.cpp"`
`#include "RingBuffer.h"`
`#include "Clipper.h"`
`#include "FIR.h"`
`#include "InOut.h"`

Go to the source code of this file.

## Classes
class | SAFliter

## Macros
#define | USE_TEST_MAIN

## Functions
void | testClipper ()
| Clip some sound.
void | testFIR ()
| Test the FIR filter BP 200-300 Hz on pink noise.
void | testFilters ()
| Filter tests.
void | testDynamicFilters ()
| Test dynamic BP filter.
void | testDynamicVoice ()
| Test dynamic BP filter on a sound file.
void | testNDynamicFilters ()
| Pan and mix many sines.
void | testReverb ()
| Play noise bursts into reverb.
void | testStereoverb ()
| Play noise bursts into reverb.
void | testMultiTap ()
| Play noise bursts into multi-tap delay line.
void | testBlockUpsizer ()
| Test a block resizer by running a random gliss with a small block size.
void | testBlockDownsizer ()
| Test a block resizer by running a random gliss with a huge block size.
void | testSplitJoin1 ()
| Test a Split/Join with a cross-over filter pair LPF to left, HPF to the right.
void | testSplitJoin2 ()
| Test a Split/Join with a cross-over filter pair LPF to left, HPF to the right mixer added in just for show.
void | testFanMix1 ()
| Test a fan-out + mixer using UnitGenerator's built-in fan-out.
void | testFanMix2 ()
| Test a real fan-out + mixer.
UnitGenerator * | createRandFreqEnvPatch (float dur)
| Function to create and answer a RandFreqEnv UGen patch this is in test envelopes.
void | testDynamicMixer ()
| Mix a few sources, adding/dropping graphs.
void | testSAFilter ()
void | runTests ()

## Macro Definition Documentation

#define USE_TEST_MAIN

Definition at line 14 of file Test_Effects.cpp.

## Function Documentation

void testClipper | ( |  | ) |

Clip some sound.

Definition at line 31 of file Test_Effects.cpp.

References csl::logMsg(), Osc, and runTest().

void testFIR | ( |  | ) |

Test the FIR filter BP 200-300 Hz on pink noise.

Definition at line 43 of file Test_Effects.cpp.

References csl::logMsg(), and runTest().

void testFilters | ( |  | ) |

Filter tests.

Definition at line 58 of file Test_Effects.cpp.

References BW_BAND_PASS, BW_BAND_STOP, BW_HIGH_PASS, BW_LOW_PASS, csl::logMsg(), and runTest().

void testDynamicFilters | ( |  | ) |

Test dynamic BP filter.

Definition at line 137 of file Test_Effects.cpp.

References BW_BAND_PASS, csl::logMsg(), and runTest().

void testDynamicVoice | ( |  | ) |

Test dynamic BP filter on a sound file.

Definition at line 153 of file Test_Effects.cpp.

References BW_BAND_PASS, csl::CGestalt::dataFolder(), csl::logMsg(), and runTest().

void testNDynamicFilters | ( |  | ) |

Pan and mix many sines.

Definition at line 167 of file Test_Effects.cpp.

References csl::Mixer::addInput(), BW_BAND_PASS, CSL_PI, csl::Mixer::deleteInputs(), csl::fRandM(), csl::logMsg(), Osc, and runTest().

void testReverb | ( |  | ) |

Play noise bursts into reverb.

Definition at line 191 of file Test_Effects.cpp.

References BW_BAND_PASS, csl::logMsg(), csl::Freeverb::setRoomSize(), csl::Scalable::setScale(), csl::sleepSec(), theIO, and csl::Envelope::trigger().

void testStereoverb | ( |  | ) |

Play noise bursts into reverb.

Definition at line 214 of file Test_Effects.cpp.

References BW_BAND_PASS, csl::fRand1(), csl::fRandB(), csl::logMsg(), csl::FrequencyAmount::setFrequency(), csl::Panner::setPosition(), csl::Stereoverb::setRoomSize(), csl::Scalable::setScale(), csl::sleepSec(), theIO, and csl::Envelope::trigger().

Referenced by runTests().

void testMultiTap | ( |  | ) |

Play noise bursts into multi-tap delay line.

Definition at line 246 of file Test_Effects.cpp.

References csl::Mixer::addInput(), BW_BAND_PASS, csl::logMsg(), csl::RingBuffer::mTap, csl::RingBufferTap::setOffset(), csl::Scalable::setScale(), csl::sleepSec(), theIO, and csl::Envelope::trigger().

void testBlockUpsizer | ( |  | ) |

Test a block resizer by running a random gliss with a small block size.

Definition at line 284 of file Test_Effects.cpp.

References csl::logMsg(), Osc, runTest(), and csl::Envelope::trigger().

void testBlockDownsizer | ( |  | ) |

Test a block resizer by running a random gliss with a huge block size.

Definition at line 300 of file Test_Effects.cpp.

References csl::logMsg(), Osc, runTest(), and csl::Envelope::trigger().

void testSplitJoin1 | ( |  | ) |

Test a Split/Join with a cross-over filter pair LPF to left, HPF to the right.

Definition at line 316 of file Test_Effects.cpp.

References BW_HIGH_PASS, BW_LOW_PASS, csl::CompOrCacheOscillator::createCache(), csl::logMsg(), runTest(), csl::Phased::setFrequency(), csl::Scalable::setScale(), and csl::Envelope::trigger().

void testSplitJoin2 | ( |  | ) |

Test a Split/Join with a cross-over filter pair LPF to left, HPF to the right mixer added in just for show.

Definition at line 340 of file Test_Effects.cpp.

References csl::Mixer::addInput(), BW_HIGH_PASS, BW_LOW_PASS, csl::CompOrCacheOscillator::createCache(), csl::logMsg(), runTest(), csl::Phased::setFrequency(), csl::Scalable::setScale(), and csl::Envelope::trigger().

void testFanMix1 | ( |  | ) |

Test a fan-out + mixer using UnitGenerator's built-in fan-out.

Definition at line 367 of file Test_Effects.cpp.

References csl::Mixer::addInput(), csl::fRand1(), csl::logMsg(), Osc, runTest(), csl::Scalable::setScale(), and csl::Envelope::trigger().

void testFanMix2 | ( |  | ) |

Test a real fan-out + mixer.

Definition at line 389 of file Test_Effects.cpp.

References csl::Mixer::addInput(), csl::fRand1(), csl::logMsg(), Osc, runTest(), csl::Scalable::setScale(), and csl::Envelope::trigger().

UnitGenerator* createRandFreqEnvPatch | ( | float | dur | ) |

Function to create and answer a RandFreqEnv UGen patch this is in test envelopes.

Definition at line 182 of file Test_Envelopes.cpp.

References CSL_PI, csl::fRandM(), Osc, and csl::Scalable::setScale().

Referenced by test50RandFreqEnv(), and testDynamicMixer().

void testDynamicMixer | ( |  | ) |

Mix a few sources, adding/dropping graphs.

Definition at line 417 of file Test_Effects.cpp.

References csl::Mixer::addInput(), createRandFreqEnvPatch(), csl::Mixer::deleteInputs(), csl::Mixer::getInputs(), csl::logMsg(), csl::Mixer::removeInput(), runTest(), csl::Mixer::scaleInput(), and csl::sleepSec().

void testSAFilter | ( |  | ) |

Definition at line 505 of file Test_Effects.cpp.

References csl::CGestalt::dataFolder(), csl::logMsg(), and runTest().

void runTests | ( |  | ) |

Definition at line 518 of file Test_Effects.cpp.

References testStereoverb().